
FUNCTION SR_TEST_HIMEM: BOOLEAN;NEAR; EXTERNAL;
PROCEDURE SR_Flat_Mode; EXTERNAL;
PROCEDURE SR_GET_HIMEM_adresse;NEAR; EXTERNAL;
FUNCTION SR_ALLOUE_EMB(EMB:Word): LongInt;NEAR;EXTERNAL;
PROCEDURE SR_LIBERE_EMB(EMB:LongInt);NEAR;EXTERNAL;
PROCEDURE SR_ACTIVE_A20; NEAR;EXTERNAL;
PROCEDURE SR_DESACTIVE_A20; NEAR;EXTERNAL;


{$L ..\memoire\FLAT.OBJ}
{$L ..\memoire\HIMEM.OBJ}

VAR
 EMB1 : LongInt;

BEGIN
SR_FLAT_MODE;
SR_GET_HIMEM_Adresse;
EMB1:=SR_ALLOUE_EMB (10);
{EMB1:=SR_ALLOUE_EMB (10);
}SR_LIBERE_EMB(EMB1);

END.